<?xml version="1.0" encoding="ascii"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
          "DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>pyxmpp</title>
  <link rel="stylesheet" href="epydoc.css" type="text/css" />
  <script type="text/javascript" src="epydoc.js"></script>
</head>

<body bgcolor="white" text="black" link="blue" vlink="#204080"
      alink="#204080">
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th bgcolor="#70b0f0" class="navbar-select"
          >&nbsp;&nbsp;&nbsp;Home&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a class="navbar" target="_top" href="http://pyxmpp.jajcus.net/">PyXMPP</a></th>
          </tr></table></th>
  </tr>
</table>
<table width="100%" cellpadding="0" cellspacing="0">
  <tr valign="top">
    <td width="100%">
      <span class="breadcrumbs">
        Package&nbsp;pyxmpp
      </span>
    </td>
    <td>
      <table cellpadding="0" cellspacing="0">
        <!-- hide/show private -->
        <tr><td align="right"><span class="options">[<a href="javascript:void(0);" class="privatelink"
    onclick="toggle_private();">hide&nbsp;private</a>]</span></td></tr>
      </table>
    </td>
  </tr>
</table>
<!-- ==================== PACKAGE DESCRIPTION ==================== -->
<h1 class="epydoc">Package pyxmpp</h1><p class="nomargin-top"><span class="codelink"><a href="pyxmpp-pysrc.html">source&nbsp;code</a></span></p>
<p>PyXMPP is object-oriented, most of its fetures are implemented via classes,
defined in various pyxmpp modules. The API is very asynchronous -- often
requested objects are not returned immediately, but instead a callback is
called when the object is available or an event occurs.</p>
<p>As python is not a strongly-typed language so the parameter and attribute types
shown in this documentation are not enforced, but those types are expected by
the package and others may simply not work or stop working in future releases
of PyXMPP.</p>
<div class="rst-section" id="rst-module-hierarchy">
<h1 class="heading">Module hierarchy</h1>
<p>Base XMPP features (<a class="rst-reference external" href="http://www.ietf.org/rfc/rfc3920.txt" target="_top">RFC 3920</a>, <a class="rst-reference external" href="http://www.ietf.org/rfc/rfc3921.txt" target="_top">RFC
3921</a>) are implemented in direct
submodules of <a href="pyxmpp-module.html" class="link">pyxmpp</a> package. Most <a class="rst-reference external" href="http://www.jabber.org" target="_top">JSF</a> defined
extensions are defined in pyxmpp.jabber package and modules for server
components are placed in pyxmpp.jabberd.</p>
<p>For convenience most important names (classes for application use) may be
imported into <a href="pyxmpp-module.html" class="link">pyxmpp</a>, pyxmpp.jabber or pyxmpp.jabberd packages. To do
that <a href="pyxmpp.all-module.html" class="link">pyxmpp.all</a>, <a href="pyxmpp.jabber.all-module.html" class="link">pyxmpp.jabber.all</a> or <a href="pyxmpp.jabberd.all-module.html" class="link">pyxmpp.jabberd.all</a> must be
imported. One doesn't have to remember any other module name then.</p>
</div>
<div class="rst-section" id="rst-constructors">
<h1 class="heading">Constructors</h1>
<p>Most of PyXMPP object constructors are polymorphic. That means they accept
different types and number of arguments to create object from various input.
Usually the first argument may be an XML node to parse/wrap into the object
or parameters needed to create a new object from scratch. E.g.
<a href="pyxmpp.stanza.Stanza-class.html" class="link">pyxmpp.stanza.Stanza</a> constructor accepts single <code class="link">libxml2.xmlNode</code> argument
with XML stanza or set of keyword arguments (from_jid, to_jid, stanza_type,
etc.) to create such XML stanza. Most of the constructors will also accept
instance of their own class to create a copy of it.</p>
</div>
<div class="rst-section" id="rst-common-methods">
<h1 class="heading">Common methods</h1>
<p>Most objects describing elements of the XMPP protocol or its extensions have
method as_xml() providing their XML representations.</p>
</div>

<!-- ==================== SUBMODULES ==================== -->
<a name="section-Submodules"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Submodules</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-Submodules"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
  <tr><td class="summary">
  <ul class="nomargin">
    <li class="private"> <strong class="uidlink"><a href="pyxmpp._xmlextra-module.html">pyxmpp._xmlextra</a></strong>: <em class="summary">Special libxml2 extensions for PyXMPP internal use.</em>    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.all-module.html">pyxmpp.all</a></strong>: <em class="summary">Convenience module containing most important objects from pyxmpp package.</em>    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.cache-module.html">pyxmpp.cache</a></strong>: <em class="summary">Caching proxy for Jabber/XMPP objects.</em>    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.client-module.html">pyxmpp.client</a></strong>: <em class="summary">Basic XMPP-IM client implementation.</em>    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.clientstream-module.html">pyxmpp.clientstream</a></strong>: <em class="summary">Client stream handling.</em>    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.error-module.html">pyxmpp.error</a></strong>: <em class="summary">XMPP error handling.</em>    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.exceptions-module.html">pyxmpp.exceptions</a></strong>: <em class="summary">PyXMPP exceptions.</em>    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.expdict-module.html">pyxmpp.expdict</a></strong>: <em class="summary">Dictionary with item expiration.</em>    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.interface-module.html">pyxmpp.interface</a></strong>: <em class="summary">Interface API.</em>    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.interface_micro_impl-module.html">pyxmpp.interface_micro_impl</a></strong>: <em class="summary">Interface API, minimal implementation.</em>    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.interfaces-module.html">pyxmpp.interfaces</a></strong>: <em class="summary">Interfaces for flexible API extensions.</em>    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.iq-module.html">pyxmpp.iq</a></strong>: <em class="summary">Iq XMPP stanza handling</em>    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.jabber-module.html">pyxmpp.jabber</a></strong>: <em class="summary">JSF defined XMPP extension and legacy Jabber protocol elements</em>
    <ul>
    <li> <strong class="uidlink"><a href="pyxmpp.jabber.all-module.html">pyxmpp.jabber.all</a></strong>: <em class="summary">Convenience module containing most important objects from pyxmpp.jabber
package.</em>    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.jabber.client-module.html">pyxmpp.jabber.client</a></strong>: <em class="summary">Basic Jabber client functionality implementation.</em>    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.jabber.clientstream-module.html">pyxmpp.jabber.clientstream</a></strong>: <em class="summary">XMPP stream support with fallback to legacy non-SASL Jabber authentication.</em>    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.jabber.dataforms-module.html">pyxmpp.jabber.dataforms</a></strong>: <em class="summary">Jabber Data Forms support.</em>    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.jabber.delay-module.html">pyxmpp.jabber.delay</a></strong>: <em class="summary">Delayed delivery mark (jabber:x:delay) handling.</em>    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.jabber.disco-module.html">pyxmpp.jabber.disco</a></strong>: <em class="summary">Jabber Service Discovery support.</em>    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.jabber.muc-module.html">pyxmpp.jabber.muc</a></strong>: <em class="summary">Jabber Multi-User Chat implementation.</em>    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.jabber.muccore-module.html">pyxmpp.jabber.muccore</a></strong>: <em class="summary">Jabber Multi-User Chat implementation.</em>    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.jabber.register-module.html">pyxmpp.jabber.register</a></strong>: <em class="summary">In-band registration (jabber:iq:register) handling.</em>    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.jabber.simple-module.html">pyxmpp.jabber.simple</a></strong>: <em class="summary">Simple API for simple things like sendig messages or single stanzas.</em>    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.jabber.vcard-module.html">pyxmpp.jabber.vcard</a></strong>: <em class="summary">Jabber vCard and MIME (RFC 2426) vCard implementation.</em>    </li>
    </ul>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.jabberd-module.html">pyxmpp.jabberd</a></strong>: <em class="summary">Facilities for jabber server implementation specific features,
like components.</em>
    <ul>
    <li> <strong class="uidlink"><a href="pyxmpp.jabberd.all-module.html">pyxmpp.jabberd.all</a></strong>: <em class="summary">Convenience module containing most important objects fr pyxmpp.jabberd package.</em>    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.jabberd.component-module.html">pyxmpp.jabberd.component</a></strong>: <em class="summary">Jabberd external component interface (jabber:component:accept).</em>    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.jabberd.componentstream-module.html">pyxmpp.jabberd.componentstream</a></strong>: <em class="summary">Component (jabber:component:accept) stream handling.</em>    </li>
    </ul>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.jid-module.html">pyxmpp.jid</a></strong>: <em class="summary">jid -- Jabber ID handling</em>    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.message-module.html">pyxmpp.message</a></strong>: <em class="summary">Message XMPP stanza handling</em>    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.objects-module.html">pyxmpp.objects</a></strong>: <em class="summary">General base classes for PyXMPP objects.</em>    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.presence-module.html">pyxmpp.presence</a></strong>: <em class="summary">Presence XMPP stanza handling</em>    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.resolver-module.html">pyxmpp.resolver</a></strong>: <em class="summary">DNS resolever with SRV record support.</em>    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.roster-module.html">pyxmpp.roster</a></strong>: <em class="summary">XMPP-IM roster handling.</em>    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.sasl-module.html">pyxmpp.sasl</a></strong>: <em class="summary">SASL authentication implementaion for PyXMPP.</em>
    <ul>
    <li> <strong class="uidlink"><a href="pyxmpp.sasl.core-module.html">pyxmpp.sasl.core</a></strong>: <em class="summary">Base classes for PyXMPP SASL implementation.</em>    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.sasl.digest_md5-module.html">pyxmpp.sasl.digest_md5</a></strong>: <em class="summary">DIGEST-MD5 authentication mechanism for PyXMPP SASL implementation.</em>    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.sasl.external-module.html">pyxmpp.sasl.external</a></strong>: <em class="summary">External SASL authentication mechanism for PyXMPP SASL implementation.</em>    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.sasl.gssapi-module.html">pyxmpp.sasl.gssapi</a></strong>: <em class="summary">GSSAPI authentication mechanism for PyXMPP SASL implementation.</em>    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.sasl.plain-module.html">pyxmpp.sasl.plain</a></strong>: <em class="summary">PLAIN authentication mechanism for PyXMPP SASL implementation.</em>    </li>
    </ul>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.stanza-module.html">pyxmpp.stanza</a></strong>: <em class="summary">General XMPP Stanza handling.</em>    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.stanzaprocessor-module.html">pyxmpp.stanzaprocessor</a></strong>: <em class="summary">Handling of XMPP stanzas.</em>    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.stream-module.html">pyxmpp.stream</a></strong>: <em class="summary">Generic XMPP stream implementation.</em>    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.streambase-module.html">pyxmpp.streambase</a></strong>: <em class="summary">Core XMPP stream functionality.</em>    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.streamsasl-module.html">pyxmpp.streamsasl</a></strong>: <em class="summary">SASL support XMPP streams.</em>    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.streamtls-module.html">pyxmpp.streamtls</a></strong>: <em class="summary">TLS support for XMPP streams.</em>    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.utils-module.html">pyxmpp.utils</a></strong>: <em class="summary">Utility functions for the pyxmpp package.</em>    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.version-module.html">pyxmpp.version</a></strong>    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.xmlextra-module.html">pyxmpp.xmlextra</a></strong>: <em class="summary">Extension to libxml2 for XMPP stream and stanza processing</em>    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.xmppstringprep-module.html">pyxmpp.xmppstringprep</a></strong>: <em class="summary">Nodeprep and resourceprep stringprep profiles.</em>    </li>
  </ul></td></tr>
</table>

<br />
<!-- ==================== VARIABLES ==================== -->
<a name="section-Variables"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Variables</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-Variables"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="__package__"></a><span class="summary-name">__package__</span> = <code title="None">None</code><br />
      hash(x)
    </td>
  </tr>
</table>
<p class="indent-wrapped-lines"><b>Imports:</b>
  <span title="pyxmpp.jabberd">jabberd</span>,
  <span title="pyxmpp.jabber">jabber</span>,
  <span title="pyxmpp.jid">jid</span>
</p><br />
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th bgcolor="#70b0f0" class="navbar-select"
          >&nbsp;&nbsp;&nbsp;Home&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a class="navbar" target="_top" href="http://pyxmpp.jajcus.net/">PyXMPP</a></th>
          </tr></table></th>
  </tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="100%%">
  <tr>
    <td align="left" class="footer">
    Generated by Epydoc 3.0.1 on Sun May  8 13:34:57 2011
    </td>
    <td align="right" class="footer">
      <a target="mainFrame" href="http://epydoc.sourceforge.net"
        >http://epydoc.sourceforge.net</a>
    </td>
  </tr>
</table>

<script type="text/javascript">
  <!--
  // Private objects are initially displayed (because if
  // javascript is turned off then we want them to be
  // visible); but by default, we want to hide them.  So hide
  // them unless we have a cookie that says to show them.
  checkCookie();
  // -->
</script>
</body>
</html>
